package schedframe.events.scheduling;

import schedframe.events.EventType;

public class ResourceStateChangedEvent  extends SchedulingEvent {

	protected String resourceName;
	protected EventType eventType;
	
	public ResourceStateChangedEvent(String resourceName, EventType eventType) {
		super(SchedulingEventType.RESOURCE_STATE_CHANGED);
		this.resourceName = resourceName;
		this.eventType = eventType;
	}

	public String getResourceName() {
		return resourceName;
	}

	public EventType getEventType() {
		return eventType;
	}

}
